.block {
	border: 2px solid var(--sustk-color-border);
	background-color: var(--sustk-color-surface);
	border-radius: 2px;
	padding: var(--sustk-canvas-block-spacing);
	margin-bottom: var(--sustk-canvas-block-spacing);

	transition: padding var(--sustk-transition-timing) ease;
}

.label {
	font-size: 0.9rem;
	font-weight: 600;
	text-transform: uppercase;
	line-height: 1.4;
	margin-bottom: var(--sustk-canvas-block-spacing);
	transition: margin-bottom var(--sustk-transition-timing) ease;
}

.stickiesWrapper {
	margin-bottom: var(--sustk-canvas-block-spacing);
}
.stickiesWrapper:last-child {
	margin-bottom: 0;
}

/*
	Class names and grid areas are generated from the slugs defined in CANVAS_BLOCKS.
	These grid areas should correspond to those defined in Canvas.module.css.
*/
.block--value-proposition {
	grid-area: value-proposition;
}
.block--organizational-development {
	grid-area: organizational-development;
}
.block--end-game {
	grid-area: end-game;
}
.block--customer-segments {
	grid-area: customer-segments;
}
.block--channels {
	grid-area: channels;
}
.block--customer-relationships {
	grid-area: customer-relationships;
}
.block--revenue-streams {
	grid-area: revenue-streams;
}
.block--key-activities {
	grid-area: key-activities;
}
.block--key-resources {
	grid-area: key-resources;
}
.block--key-partnerships {
	grid-area: key-partnerships;
}
.block--cost-structure {
	grid-area: cost-structure;
}

@media screen and (min-width: 601px) {
	.stickiesWrapper {
		columns: 2;
	}
}

@media screen and (min-width: 997px) {
	.block {
		margin-bottom: 0;
	}

	.stickiesWrapper {
		columns: 1;
	}

	.block--cost-structure .stickiesWrapper,
	.block--revenue-streams .stickiesWrapper {
		columns: 2;
	}

	.block--organizational-development .stickiesWrapper {
		columns: 3;
	}
}
